Eclipse Platform Release 3.7

## org.eclipse.osgi.service.resolver
Interface BaseDescription

All Known Subinterfaces:
  BundleDescription, ExportPackageDescription, GenericDescription, NativeCodeDescription

    public interface BaseDescription

This class represents a base description object for a state. All description objects in a state have a name and a version.

This interface is not intended to be implemented by clients. The `StateObjectFactory` should be used to construct instances.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`BundleCapability` `getCapability()` Returns the capability represented by this description.
`Map<String,Object>` `getDeclaredAttributes()` Returns the attributes declared with the description.
`Map<String,String>` `getDeclaredDirectives()` Returns the directives declared with the description.
`String` `getName()` Returns the name.
`BundleDescription` `getSupplier()` Returns the bundle which supplies this base description
`Version` `getVersion()` Returns the version.

Method Detail

### getName

    String getName()

  Returns the name.

  Returns:
    the name

### getVersion

    Version getVersion()

  Returns the version.

  Returns:
    the version

### getSupplier

    BundleDescription getSupplier()

  Returns the bundle which supplies this base description

  Returns:
    the bundle which supplies this base description
  Since:
    3.2

### getDeclaredDirectives

    Map<String,String> getDeclaredDirectives()

  Returns the directives declared with the description. This will return all known directives for the type of description. The set of directives differs for each description type.

  Returns:
    the known directives declared with the description
  Since:
    3.7

### getDeclaredAttributes

    Map<String,Object> getDeclaredAttributes()

  Returns the attributes declared with the description. This will return all known attributes for the type of description. The set of attributes differs for each description type.

  Returns:
    the attributes declared with the description
  Since:
    3.7

### getCapability

    BundleCapability getCapability()

  Returns the capability represented by this description. Some descriptions types may not be able to represent a capability. In such cases `null` is returned.

  Returns:
    the capability represented by this base description
  Since:
    3.7

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.